## pykeepass 3.2.0

=== requirements.txt ===
lxml==4.3.5
pycryptodome==3.9.4
construct==2.9.51
argon2-cffi==19.2.0
python-dateutil==2.8.0
future==0.17.1

=== debian/changelog ===
pykeepass (3.2.0-1pureos+librem5.1) amber-phone; urgency=medium

  [ Henry-Nicolas Tourneur ]
  * document PYBUILD_DISABLE exported variable
  * copyright update for pytwofish and twofish
  * syntax cleanup in d/copyright
  * set license shortname for pytwofish file
  * adding copyright holder for kdbx3/4.py files
  * d/salsa-ci: enable APTLY so it can be used until pykeepass enter main
  * d/gbp.conf: add

  [ Jonas Smedegaard ]
  * Fork for PureOS:
    + Set PureOS Maintainers as maintainer,
      leaving original as XSBC-Original-Maintainer.
    + Drop uploaders (package is team-maintained for PureOS).
    + Replace Vcs-* fields.
    + Update git-buildpackage config:
      Set debian-branch. Use purism/* namespace for release tags. Sign tags.
  * use debhelper compatibility level 12 (not 13)

 -- Jonas Smedegaard <jonas.smedegaard@puri.sm>  Sat, 01 Aug 2020 14:32:26 +0200

pykeepass (3.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #955369)

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Wed, 25 Mar 2020 21:55:47 +0100

=== debian/control ===
Source: pykeepass
Section: python
Priority: optional
Maintainer: PureOS Maintainers <pureos-project@lists.puri.sm>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-argon2,
               python3-construct (>= 2.10.52),
               python3-dateutil,
               python3-future,
               python3-lxml,
               python3-pycryptodome (>= 3.9.4),
               python3-setuptools
Standards-Version: 4.5.0
Rules-Requires-Root: no
X-Python3-Version: >= 3.7
Testsuite: autopkgtest-pkg-python
Homepage: https://pypi.org/project/pykeepass/
Vcs-Git: https://source.puri.sm/pureos/packages/pykeepass.git
Vcs-Browser: https://source.puri.sm/pureos/packages/pykeepass

Package: python3-pykeepass
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: KeePass database library - Python 3.x Module
 This library allows one to write entries to a KeePass database.
 It is compatible the KDBX3 and 4 formats.
 KeePass databases are encrypted vault files used to store credentials.

## pykeepass 3.2.1

=== requirements.txt ===
lxml==4.3.5
pycryptodomex==3.9.4
construct==2.10.54
argon2-cffi==19.2.0
python-dateutil==2.8.0
future==0.17.1

=== debian/changelog ===
pykeepass (3.2.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Henry-Nicolas Tourneur ]
  * d/copyright: clarify GPL3 vs GPL3+

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Thu, 29 Oct 2020 12:38:53 +0000

pykeepass (3.2.1-1) unstable; urgency=medium

  * New upstream release
  * Removed debian/patches/* since those have been upstreamed.
  * Removed aptly in salsa-ci.yml
  * debian/gbp.conf: conform to DEP-14

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Mon, 27 Jul 2020 07:10:51 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: pykeepass
 Section: python
 Priority: optional
-Maintainer: PureOS Maintainers <pureos-project@lists.puri.sm>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Henry-Nicolas Tourneur <debian@nilux.be>
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-argon2,
@@ -18,8 +18,8 @@
 X-Python3-Version: >= 3.7
 Testsuite: autopkgtest-pkg-python
 Homepage: https://pypi.org/project/pykeepass/
-Vcs-Git: https://source.puri.sm/pureos/packages/pykeepass.git
-Vcs-Browser: https://source.puri.sm/pureos/packages/pykeepass
+Vcs-Git: https://salsa.debian.org/python-team/packages/pykeepass.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/pykeepass
 
 Package: python3-pykeepass
 Architecture: all

## pykeepass 4.0.1

=== requirements.txt ===
lxml==4.6.2
pycryptodomex==3.10.1
construct==2.10.54
argon2-cffi==20.1.0
python-dateutil==2.8.1
future==0.18.2

=== debian/changelog ===
pykeepass (4.0.1-1) unstable; urgency=medium

  * New upstream version 4.0.1

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Mon, 30 Aug 2021 16:07:37 +0000

=== debian/rules ===
#!/usr/bin/make -f

# Test suite is disabled at build time since Manifest.in is pruning test data.
# Those data are used as input for the tests, their absence make the tests fail.
# The test suite is executed with autopkgtest in CI.
export PYBUILD_DISABLE=test/python3

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: python3 tests/tests.py
Restrictions: allow-stderr
Depends: python3-all,
         python3-argon2,
         python3-construct,
         python3-dateutil,
         python3-future,
         python3-lxml,
         python3-pycryptodome,
         python3-pytest,
         python3-setuptools,
         @

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pykeepass-$1\.tar\.gz/ \
  https://github.com/libkeepass/pykeepass/tags .*/v?(\d\S+)\.tar\.gz

## pykeepass 4.0.3

=== Makefile ===
version := $(shell python -c "exec(open('pykeepass/version.py').read());print(__version__)")

.PHONY: dist
dist:
	python setup.py sdist bdist_wheel

.PHONY: pypi
pypi: dist
	twine upload dist/pykeepass-$(version).tar.gz

=== requirements.txt ===
lxml==4.8.0
pycryptodomex==3.14.1
construct==2.10.68
argon2-cffi==21.3.0
python-dateutil==2.8.2
future==0.18.2

=== debian/changelog ===
pykeepass (4.0.3-1) unstable; urgency=medium

  * Team upload

  [ Blair Noctis ]
  * New upstream version 4.0.3
  * Drop X-Python3-Versions as the Pipfile to keep in line was dropped
  * Update Standards-Version to 4.6.1

  [ Louis-Philippe Véronneau ]
  * Overhaul autopkgtests.
  * d/rules: run tests during build. Test files are now available with the
    github tarball.
  * d/source/lintian-overrides: remove override, as that info should not be
    masked (not a false positive).

 -- Blair Noctis <n@sail.ng>  Sun, 23 Oct 2022 13:21:36 -0400

=== debian/control ===
--- 
+++ 
@@ -13,11 +13,9 @@
                python3-lxml,
                python3-pycryptodome (>= 3.9.4),
                python3-setuptools
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
-X-Python3-Version: >= 3.7
-Testsuite: autopkgtest-pkg-python
-Homepage: https://pypi.org/project/pykeepass/
+Homepage: https://github.com/libkeepass/pykeepass
 Vcs-Git: https://salsa.debian.org/python-team/packages/pykeepass.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pykeepass

## pykeepass 4.0.6

=== Makefile ===
--- 
+++ 
@@ -7,3 +7,8 @@
 .PHONY: pypi
 pypi: dist
 	twine upload dist/pykeepass-$(version).tar.gz
+
+.PHONY: docs
+docs:
+	lazydocs pykeepass --overview-file README.md
+	ghp-import -f -p -b docs docs

=== requirements.txt ===
lxml==4.8.0
pycryptodomex==3.14.1
construct==2.10.68
argon2-cffi==21.3.0
python-dateutil==2.8.2

=== debian/changelog ===
pykeepass (4.0.6-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Build-Depend on dh-sequence-python3
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 25 Sep 2023 16:12:22 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Henry-Nicolas Tourneur <debian@nilux.be>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-argon2,
                python3-construct (>= 2.10.52),
@@ -13,7 +13,7 @@
                python3-lxml,
                python3-pycryptodome (>= 3.9.4),
                python3-setuptools
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/libkeepass/pykeepass
 Vcs-Git: https://salsa.debian.org/python-team/packages/pykeepass.git

## pykeepass 4.0.7

=== Makefile ===
.ONESHELL:
.SHELLFLAGS = -ec
.SILENT:
version := $(shell python -c "import tomllib;print(tomllib.load(open('pyproject.toml', 'rb'))['project']['version'])")

.PHONY: dist
dist:
	python -m build

.PHONY: release
release: lock dist
	# check that changelog is updated
	if ! grep ${version} CHANGELOG.rst
	then
		echo "Changelog doesn't seem to be updated! Quitting..."
		exit 1
	fi
	twine upload dist/pykeepass-$(version)*
	gh release create pykeepass-$(version) dist/pykeepass-$(version)*

.PHONY: lock
lock:
	# make a requirements.txt lockfile
	rm -rf .venv_lock
	virtualenv .venv_lock
	. .venv_lock/bin/activate
	pip install .[test]
	python tests/tests.py
	pip freeze > requirements.txt


.PHONY: docs
docs:
	lazydocs pykeepass --overview-file README.md
	ghp-import -f -p -b docs docs

=== debian/changelog ===
pykeepass (4.0.7-2) unstable; urgency=medium

  * Team upload
  * autopkgtest: Add Depends: python3-pkg-resources, python3-pyotp

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 01 Apr 2024 12:52:27 -0400

pykeepass (4.0.7-1) unstable; urgency=medium

  * Team upload
  * New upstream release (Closes: #1067506)
  * Add Build-Depends: pybuild-plugin-pyproject
  * Add Build-Depends: python3-pyotp for build tests
  * Cherry-pick patch to fix build

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 01 Apr 2024 12:31:36 -0400

pykeepass (4.0.6-2) unstable; urgency=medium

  * Team upload
  * remove useless, deprecated, build-dep python3-future

 -- Alexandre Detiste <tchet@debian.org>  Thu, 04 Jan 2024 14:47:29 +0100

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,14 @@
 Uploaders: Henry-Nicolas Tourneur <debian@nilux.be>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-argon2,
                python3-construct (>= 2.10.52),
                python3-dateutil,
-               python3-future,
                python3-lxml,
                python3-pycryptodome (>= 3.9.4),
+               python3-pyotp <!nocheck>,
                python3-setuptools
 Standards-Version: 4.6.2
 Rules-Requires-Root: no

=== debian/tests/control ===
Tests: unittests
Depends: @, python3-all, python3-pkg-resources, python3-pyotp

## pykeepass 4.1.0.post1

=== Makefile ===
.ONESHELL:
.SHELLFLAGS = -ec
.SILENT:
version := $(shell python -c "import tomllib;print(tomllib.load(open('pyproject.toml', 'rb'))['project']['version'])")

.PHONY: dist
dist:
	python -m build

.PHONY: release
release: lock dist
	# check that changelog is updated.  only look at first 3 parts of semver
	version=$(version)
	stripped=$$(echo $${version} | cut -d . -f -3)
	if ! grep $${stripped} CHANGELOG.rst
	then
		echo "Changelog doesn't seem to be updated! Quitting..."
		exit 1
	fi
	twine upload -u __token__ dist/pykeepass-$(version)*
	gh release create --latest --verify-tag v$(version) dist/pykeepass-$(version)*

.PHONY: lock
lock:
	# run tests then make a requirements.txt lockfile
	rm -rf .venv_lock
	virtualenv .venv_lock
	. .venv_lock/bin/activate
	pip install .[test]
	python tests/tests.py
	pip freeze > requirements.txt

.PHONY: tag
tag:
	# tag git commit
	git add requirements.txt
	git add pyproject.toml
	git add CHANGELOG.rst
	git commit -m "bump version"
	git tag -a v$(version) -m "version $(version)"
	git push --tags

.PHONY: docs
docs:
	lazydocs pykeepass --overview-file README.md
	ghp-import -f -p -b docs docs

=== requirements.txt ===
argon2-cffi==23.1.0
argon2-cffi-bindings==21.2.0
cffi==1.16.0
construct==2.10.70
lxml==5.2.2
pycparser==2.22
pycryptodomex==3.20.0
pykeepass @ file:///home/evan/resources/pykeepass
pyotp==2.9.0

=== debian/changelog ===
pykeepass (4.1.0.post1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.1.0.post1
  * Refresh patches
  * Remove need for python3-pkg-resources (Closes: #1069271)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 29 Jan 2025 17:56:34 +0100

## pykeepass 4.1.1.post1

=== Makefile ===
--- 
+++ 
@@ -11,14 +11,17 @@
 release: lock dist
 	# check that changelog is updated.  only look at first 3 parts of semver
 	version=$(version)
-	stripped=$$(echo $${version} | cut -d . -f -3)
+	stripped=$$(echo $${version} | cut -d . -f -3 | cut -d '-' -f 1)
 	if ! grep $${stripped} CHANGELOG.rst
 	then
 		echo "Changelog doesn't seem to be updated! Quitting..."
 		exit 1
 	fi
+	# generate release notes from changelog
+	awk "BEGIN{p=0}; /^$${stripped}/{next}; /---/{p=1;next}; /^$$/{exit}; p {print}" CHANGELOG.rst > TMPNOTES
+	# make github and pypi release
+	gh release create --latest --verify-tag v$(version) dist/pykeepass-$(version)* -F TMPNOTES
 	twine upload -u __token__ dist/pykeepass-$(version)*
-	gh release create --latest --verify-tag v$(version) dist/pykeepass-$(version)*
 
 .PHONY: lock
 lock:
@@ -36,11 +39,12 @@
 	git add requirements.txt
 	git add pyproject.toml
 	git add CHANGELOG.rst
-	git commit -m "bump version"
+	git commit -m "bump version" --allow-empty
 	git tag -a v$(version) -m "version $(version)"
 	git push --tags
+	git push
 
 .PHONY: docs
 docs:
-	lazydocs pykeepass --overview-file README.md
+	pdoc -o docs --docformat google --no-search pykeepass '!pykeepass.icons' --footer-text "pykeepass ${version}"
 	ghp-import -f -p -b docs docs

=== requirements.txt ===
argon2-cffi==23.1.0
argon2-cffi-bindings==21.2.0
cffi==1.17.1
construct==2.10.70
Jinja2==3.1.5
lxml==5.3.1
MarkupSafe==3.0.2
pdoc==15.0.1
pycparser==2.22
pycryptodomex==3.21.0
Pygments==2.19.1
pykeepass @ file:///home/evan/resources/pykeepass
pyotp==2.9.0

=== debian/changelog ===
pykeepass (4.1.1.post1-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 11 Apr 2025 17:30:47 -0400

=== debian/tests/control ===
Tests: unittests
Depends: @, python3-all, python3-pyotp
